Subject: bug#78940: closed (Re: bug#78940: REGEX wrongfully matches pattern)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Jul 2025 17:05:04 +0000

Your bug report

#78940: REGEX wrongfully matches pattern 

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78940: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78940
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78940: REGEX wrongfully matches pattern
From: Jim Meyering <[email-masked]>
To: Davide Brini <[email-masked]>
Cc: [email-masked]
Date: Thu, 3 Jul 2025 10:03:54 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 78940 notabug
close 78940
stop

On Wed, Jul 2, 2025 at 6:27 AM Davide Brini via <[email-masked]> wrote:
> On Tue, 1 Jul 2025 20:26:16 +0000, "Duchesne, Alexandre"
> <[email-masked]> wrote:
>
> > Hi,
> >
> > I wanted to show to my classmate the comportment of a RegEX using sed to
> > capture the subgroup in a pattern match.
> >
> > But, when trying with sed -E, the pattern matched even though it should
> > not have.
> >
> > Can someone explain to me why if this comportment turns out to be normal ?
> >
> > View snippet :
> >
> > $ echo abc | grep -E '(...).+' -c
> > 0
> > $ echo abc | sed -E 's/(...).+/\1/'
> > abc
>
> This is all expected behavior. Your regexp does not match, no sostitution
> is performed, and sed prints the input line unchanged, which is the default
> behavior (disable with sed -n).

Thanks for replying. I've marked this issue as resolved and "not a bug".

Subject: REGEX wrongfully matches pattern
From: "Duchesne, Alexandre" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 1 Jul 2025 20:26:16 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I wanted to show to my classmate the comportment of a RegEX using sed to capture the subgroup in a pattern match.

But, when trying with sed -E, the pattern matched even though it should not have.

Can someone explain to me why if this comportment turns out to be normal ?

View snippet :

$ echo abc | grep -E '(...).+' -c
0
$ echo abc | sed -E 's/(...).+/\1/'
abc
$ sed --version
sed (GNU sed) 4.9
Packaged by Debian
Copyright (C) 2022 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jay Fenlason, Tom Lord, Ken Pizzini,
Paolo Bonzini, Jim Meyering, and Assaf Gordon.

This sed program was built with SELinux support.
SELinux is disabled on this system.

GNU sed home page: <https://www.gnu.org/software/sed/>.
General help using GNU software: <https://www.gnu.org/gethelp/>.
E-mail bug reports to: <[email-masked]>.

Regards,

-Alexandre.